/*
 *Copyright(C) 2023 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-01-19 
 *模块说明：通用模块
 *版本: 1.0
*/

namespace Aster
{
    /// <summary>
    /// 受控的类型（不能是Monobehaviour）；
    /// 需要管理器控制才会正常走生命周期
    /// </summary>
    public interface I_AsterObject
    {

        /// <summary>
        /// 创建
        /// </summary>
        void Start();

        void Update();

        void LateUpdate();

        /// <summary>
        /// 销毁
        /// </summary>
        void Destroy();

    }
}